package com.kingdee.eas.custom.dormitorysystem.otherbasicdata;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractPersonDormitoryTypeInfo extends com.kingdee.eas.framework.DataBaseInfo implements Serializable 
{
    public AbstractPersonDormitoryTypeInfo()
    {
        this("id");
    }
    protected AbstractPersonDormitoryTypeInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 人员宿舍分类 's 组别 property 
     */
    public com.kingdee.eas.custom.dormitorysystem.otherbasicdata.PersonDormitoryTypeTreeInfo getTreeid()
    {
        return (com.kingdee.eas.custom.dormitorysystem.otherbasicdata.PersonDormitoryTypeTreeInfo)get("treeid");
    }
    public void setTreeid(com.kingdee.eas.custom.dormitorysystem.otherbasicdata.PersonDormitoryTypeTreeInfo item)
    {
        put("treeid", item);
    }
    /**
     * Object:人员宿舍分类's 状态property 
     */
    public com.kingdee.shr.base.syssetting.BasicItemStateEnum getState()
    {
        return com.kingdee.shr.base.syssetting.BasicItemStateEnum.getEnum(getInt("state"));
    }
    public void setState(com.kingdee.shr.base.syssetting.BasicItemStateEnum item)
    {
		if (item != null) {
        setInt("state", item.getValue());
		}
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("338E7AA9");
    }
}